export default (gulp, opts) => {

  gulp.task('nodemon:start', function() {
    const nodemon = require('gulp-nodemon')
    const _ = require('lodash')

    _.defaults(opts.nodemon, {
      script: opts.destDir + '/index.js',
      ext: 'js',
      env: {
        NODE_ENV: 'development',
      },
    })

    nodemon(opts.nodemon)
      //.on('start', ['watch'])
      //.on('change', ['watch'])
      .on('restart', function() {
        console.log('restarted!')
      })

  })

  //gulp.task('nodemon', gulp.series('lib:compile', 'nodemon:start'))
  gulp.task('nodemon', gulp.series('nodemon:start'))

}
