'use strict';

// TODO
// - Use init-package-json.
// - Use promises.

var main = (function () {
  var ref = (0, _bluebird.coroutine)(_regenerator2.default.mark(function _callee() {
    var fs, path, cwd, modifyPackageJson, replaceFile, _require, spawnSync, init, _, inquirer, _require2, promisify, Promise, gulpfileContents, confirm, answers;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:

            //region Imports
            fs = require('fs');
            path = require('path');
            cwd = require('cwd');
            modifyPackageJson = require('./util/modifyPackageJson');
            replaceFile = require('./util/replaceFile');
            _require = require('child_process');
            spawnSync = _require.spawnSync;
            init = require('init-package-json');
            _ = require('lodash');
            inquirer = require('inquirer');
            _require2 = require('bluebird');
            promisify = _require2.promisify;
            Promise = require('bluebird');
            //endregion

            // npm init

            if (!fs.existsSync(cwd('package.json'))) {
              console.log('Initializing npm package...');
              spawnSync('npm init -f');
              //init(cwd(), 'package.json', {}, (e, data) => {
              //})
            }

            // gulp

            console.log('Adding gulp to package.json');

            _context.next = 17;
            return promisify(modifyPackageJson)(function (json) {
              _.set(json, 'scripts.gulp', './node_modules/gulp/bin/gulp.js');
              return json;
            });

          case 17:

            // gulpfile.js

            console.log('Updating gulpfile...');

            gulpfileContents = "var gulp = require('gulp')\n" + "require('babelator')(gulp)\n";
            _context.next = 21;
            return promisify(replaceFile)(cwd('gulpfile.js'), gulpfileContents);

          case 21:

            // Add babelator dependency

            console.log('Adding babelator dependency...');

            confirm = function confirm(message) {
              return new Promise(function (resolve, reject) {
                inquirer.prompt([{ type: 'confirm', name: 'confirm', message: message }], function (answers) {
                  resolve(answers);
                });
              });
            };

            // TODO(vjpr): Provide options instead of 2 confirms. Duh!

            answers = null;
            _context.next = 26;
            return confirm('Run `npm i -D babelator gulpjs/gulp.git#4.0`?');

          case 26:
            answers = _context.sent;

            if (!answers.confirm) {
              _context.next = 31;
              break;
            }

            spawnSync('npm', ['i', '-D', 'babelator', 'gulpjs/gulp.git#4.0'], { stdio: 'inherit' });
            _context.next = 35;
            break;

          case 31:
            _context.next = 33;
            return confirm('Run `npm link -D babelator gulp`?');

          case 33:
            answers = _context.sent;

            if (answers.confirm) spawnSync('npm', ['link', 'babelator', 'gulp'], { stdio: 'inherit' });

          case 35:
            // Instructions
            console.log('Please run `npm install`');
            console.log('Please run `npm install`');
            console.log('Tip: Use `npm_lazy` module to locally cache npm modules.');

          case 38:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));
  return function main() {
    return ref.apply(this, arguments);
  };
})();

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _bluebird = require('bluebird');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

process.on('unhandledRejection', function (e) {
  throw e;
});

function cli() {
  main().then(function () {});
}

module.exports = cli;